Bug 529357 (CVE-2009-3615) - CVE-2009-3615 Pidgin: Invalid pointer dereference (crash) after receiving contacts from SIM IM client
Summary: CVE-2009-3615 Pidgin: Invalid pointer dereference (crash) after receiving con...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-3615
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://pidgin.im/news/security/?id=41
Whiteboard:
Depends On: 529416 529417 529418 529419 529420 833964
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-16 11:12 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 15:29:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1535 normal SHIPPED_LIVE Moderate: pidgin security update 2009-10-29 14:20:29 UTC
Red Hat Product Errata RHSA-2009:1536 normal SHIPPED_LIVE Moderate: pidgin security update 2009-10-29 14:37:30 UTC

Description Jan Lieskovsky 2009-10-16 11:12:57 UTC
An invalid pointer dereference was found in the way Pidgin instant messaging
client used to process list of contacts, sent from the SIM IM client(s).
Remote attacker could send a specially-crafted contact-list to Pidgin client,
leading to denial of service (Pidgin crash) or, potentially, to execute
arbitrary code as the user running Pidgin.

References:
-----------
http://pidgin.im/news/security/?id=41
http://developer.pidgin.im/ticket/10481

Upstream patch:
---------------
http://developer.pidgin.im/viewmtn/revision/info/781682333aea0c801d280c3507ee25552a60bfc0

Credit:
-------
nightwing666

Comment 1 Jan Lieskovsky 2009-10-16 11:14:07 UTC
This issue affects the versions of Pidgin package, as shipped
with Red Hat Enterprise Linux 3, 4, and 5.

Comment 5 Fedora Update System 2009-10-21 00:50:50 UTC
pidgin-2.6.3-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2009-10-21 00:56:02 UTC
pidgin-2.6.3-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2009-10-29 14:20:32 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3

Via RHSA-2009:1535 https://rhn.redhat.com/errata/RHSA-2009-1535.html

Comment 9 errata-xmlrpc 2009-10-29 14:37:33 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:1536 https://rhn.redhat.com/errata/RHSA-2009-1536.html


Note You need to log in before you can comment on or make changes to this bug.